View Issue Details

IDProjectCategoryView StatusLast Update
0003790SOGoBackend Calendarpublic2018-04-27 06:09
Reporterjaragunde Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS VersionJessie
Fixed in Version3.2.2 
Summary0003790: Spurious email change notifications when event is snoozed
Description

When I snooze an event, SOGo interprets that as a change in the reminder field and sends any configured notifications. What's worse, those notifications don't say what has changed.

Steps To Reproduce
  1. Make sure "Receive a mail when I modify my calendar" in your calendar properties is enabled.
  2. Create an event with a reminder.
  3. When that reminder pops up, snooze it for five minutes.

Expected result: no email notificacion is received.
Actual result: an email notification is received. It says some changes were made, but doesn't specify which changes.

TagsNo tags attached.

Activities

francis

francis

2016-11-01 15:01

administrator   ~0010804

What version of SOGo do you use?

jaragunde

jaragunde

2016-11-03 06:05

reporter   ~0010815

I'm afraid I can still reproduce this bug after an upgrade to SOGo 3.2.1. An email saying "The event X was updated" is emitted every time I snooze a reminder. It happens when I snooze either from the web UI or a client application (Thunderbird, in my case).

francis

francis

2016-11-07 09:21

administrator   ~0010820

Try the latest nightly build.

Related Changesets

sogo: master 651a1c39

2016-11-01 15:26:59

francis

Details Diff
Avoid mail notifications on superfluous changes

Fixes 0003790
Affected Issues
0003790
mod - NEWS Diff File
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff File

sogo: master c02c4aa8

2016-11-03 11:47:21

francis

Details Diff
Avoid mail notifications on superfluous changes

(cont'd)

Fixes 0003790
Affected Issues
0003790
mod - SOPE/NGCards/iCalEventChanges.h Diff File
mod - SOPE/NGCards/iCalEventChanges.m Diff File
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff File

Issue History

Date Modified Username Field Change
2016-08-10 12:36 jaragunde New Issue
2016-11-01 15:01 francis Note Added: 0010804
2016-11-01 15:27 francis Changeset attached => sogo master 651a1c39
2016-11-01 15:27 francis Assigned To => francis
2016-11-01 15:27 francis Resolution open => fixed
2016-11-01 15:27 francis Status new => resolved
2016-11-01 15:27 francis Fixed in Version => 3.2.1
2016-11-03 06:05 jaragunde Note Added: 0010815
2016-11-03 06:05 jaragunde Status resolved => feedback
2016-11-03 06:05 jaragunde Resolution fixed => reopened
2016-11-03 11:50 francis Changeset attached => sogo master c02c4aa8
2016-11-07 09:21 francis Note Added: 0010820
2016-11-22 14:47 francis Status feedback => resolved
2016-11-22 14:47 francis Fixed in Version 3.2.1 => 3.2.2
2016-11-22 14:47 francis Resolution reopened => fixed